<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Register</title>
    <link rel="stylesheet" th:href="@{/style.css}" href="style.css"/>
</head>
<body>
<h2>Register Page</h2>
<p>
    <i th:if="${param.error}" class="error">
        Please fill out fields.
    </i>
</p>
<form action="#" th:action="@{/register}" th:object="${user}" method="post">
    <label>Username:</label>
    <br/>
    <input type="text" th:field="*{username}"/>
    <br/>
    <label>Password:</label>
    <br/>
    <input type="password" th:field="*{password}" id="password" onkeyup='check();'/>
    <br/>
    <label>Confirm Password:</label>
    <br/>
    <input type="password" th:field="*{passwordConfirmation}" id="confirm_password" onkeyup='check();'/>
    <span id='message'></span>
    <br/>
    <label>Email Address:</label>
    <br/>
    <input type="email" th:field="*{email}"/>
    <br/>
    <label>Phone number:</label>
    <br/>
    <input type="text" th:field="*{phoneNumber}"/>
    <br/>
    <br/>
    <input type="submit" value="Register"/>
</form>
<h3>
    <a th:href="@{/login}">Login</a>
</h3>
<script>var check = function() {
    if (document.getElementById('password').value ===
        document.getElementById('confirm_password').value) {
        document.getElementById('password').style.backgroundColor = '#cae8a9';
        document.getElementById('confirm_password').style.backgroundColor = '#cae8a9';
    } else {
        document.getElementById('password').style.backgroundColor = '#cf767c';
        document.getElementById('confirm_password').style.backgroundColor = '#cf767c';
    }
}</script>
</body>
</html>